Subject: bug#20484: 25.0.50; Directory tracking in ansi-term broken.

From: Glenn Morris <[email-masked]>
Date: Fri, 01 May 2015 22:17:47 -0400

Jacob Oursland wrote:

> 1. emacs -Q
> 2. M-x ansi-term RET RET
> 3. cd /tmp (or any other directory)
> 4. C-x C-f
>
> Expected behavior:
> Emacs will indicate the shell's working directory (/tmp) in the
> find-file minibuffer prompt.
>
> Actual behavior:
> Emacs indicates the Emacs working directory working directory ($HOME,
> for me) in the find-file minibuffer prompt.

I can reproduce this problem.

> I found that if I revert commit aad65192332dfc4a1df0cd2953554c21da243b51
> the problem goes away.

However, I cannot reproduce this commit being the problem.
Since that commit only touches shell.el, which is not even loaded in the
above recipe, it's hard to see how it could be.

Instead I find commit beaab89896 ("Stop messing with the EMACS env var")
causes this. But that was just a quick experiment, not a proper bisection.